{-|
Module      : Gargantext.API.Admin.FrontEnd
Description : Server FrontEnd API
Copyright   : (c) CNRS, 2017-Present
License     : AGPL + CECILL v3
Maintainer  : team@gargantext.org
Stability   : experimental
Portability : POSIX

Loads all static file for the front-end.

-}

{-# LANGUAGE TypeOperators        #-}

---------------------------------------------------------------------
module Gargantext.API.Admin.FrontEnd where

import Gargantext.Core.Config (gc_frontend_config, HasConfig(..))
import Gargantext.Core.Config.Types (fc_directory)
import Gargantext.Prelude
import Servant

type FrontEndAPI = Raw

frontEndServer :: (HasConfig env) => env -> Server FrontEndAPI
frontEndServer env = do
  serveDirectoryFileServer $ env ^. hasConfig . gc_frontend_config . fc_directory
